Lavalite package that provides herpes management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `74579/herpes`.

    "74579/herpes": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    74579\Herpes\Providers\HerpesServiceProvider::class,

And also add it to alias

    'Herpes'  => 74579\Herpes\Facades\Herpes::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=74579\\HerpesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="74579\Herpes\Providers\HerpesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="74579\Herpes\Providers\HerpesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="74579\Herpes\Providers\HerpesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/herpes/{modulename}

**User**

    http://path-to-route-folder/user/herpes/{modulename}

**Public**

    http://path-to-route-folder/herpes


### API endpoints

**List**

    http://path-to-route-folder/api/user/herpes/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/herpes/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/herpes/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/herpes/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/herpes/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/herpes/{modulename}/{slug}
    METHOD: GET